summaryrefslogtreecommitdiff
path: root/Build
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2011-06-09 18:05:15 +0000
committerKarl Berry <karl@freefriends.org>2011-06-09 18:05:15 +0000
commit284f0c3b9fa56387e16f2a2f45c0c1ee689682d3 (patch)
tree2400134f8b4c5bc8117a72fe0c7b6b0d4259d921 /Build
parent7fc41eb54bf203c1eb98af79267cd026a0a7ae9d (diff)
oops, must append to arg file
git-svn-id: svn://tug.org/texlive/trunk@22888 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Build')
-rwxr-xr-xBuild/source/texk/kpathsea/mktexlsr10
1 files changed, 6 insertions, 4 deletions
diff --git a/Build/source/texk/kpathsea/mktexlsr b/Build/source/texk/kpathsea/mktexlsr
index b57143899db..0071a31a211 100755
--- a/Build/source/texk/kpathsea/mktexlsr
+++ b/Build/source/texk/kpathsea/mktexlsr
@@ -101,10 +101,12 @@ while test $# -gt 0; do
# supporting spaces in the name. This still doesn't support
# newlines in the directory names, but nobody ever complains about
# that, and it seems much too much trouble to use \0 terminators.
- (umask 077 && touch "$treefile" ) \
- || { echo "$progname: $treefile: could not create arg file, goodbye." >&2;\
- exit 1; }
- echo "$1" >"$treefile"
+ (umask 077
+ if echo "$1" >>"$treefile"; then :; else
+ echo "$progname: $treefile: could not append to arg file, goodbye." >&2
+ exit 1
+ fi
+ )
fi
shift
done